	program teffir
c
c a routine to compute Teff from CIT (V-K) & (J-K) with the relations
c of Alonso et al (1999, A&AS, 140, 261)
c
	real jk, jk_tcs, vk, vk_tcs, feh

	write(6,'(17h enter (V-K) CIT )')
        read(5,*)vk
	write(6,'(17h enter (J-K) CIT )')
        read(5,*)jk
	write(6,'(14h enter [Fe/H] )')
        read(5,*)feh
c
c first convert from CIT to "TCS" system
c
        jk_tcs = -0.015 + 1.014*jk
        vk_tcs =  0.022 + 0.998*vk

c
c now reddening
c
        
	write(6,'(14h enter E(V-I)c )')
        read(5,*)evi

        ebv = evi / 1.281 
        evk = 2.767 * ebv
        ejk = 0.52 * ebv
c
c de-redden colors
c
        xjk = jk_tcs - ejk
        xvk = vk_tcs - evk

c compute teffs

c V-K relations

        a0 = 0.5558
        a1 = 0.2105
        a2 = 1.981e-03
        a3 = -9.965e-03
        a4 = 1.325e-02
        a5 = -2.72e-03

        b0 = 0.3770
        b1 = 0.3660
        b2 = -3.170e-02
        b3 = -3.074e-03
        b4 = -2.765e-03
        b5 = -2.973e-03
c
        theta = a0 + a1*xvk + a2*xvk**2 + a3*xvk*feh + a4*feh+a5*feh**2
        thetb = b0 + b1*xvk + b2*xvk**2 + b3*xvk*feh + b4*feh+b5*feh**2

        teffa = 5040./theta
        teffb = 5040./thetb

        if (xvk.ge.2.50) then
           teffvk = teffb
        elseif (xvk.le.2.00) then
           teffvk = teffa
        else
           teffvk = teffa + (teffb-teffa)*(xvk-2.00)/0.5
        endif

c J-K relation

        a0 = 0.5816
        a1 = 0.9134
        a2 = -0.1443
        a3 = 0.00
        a4 = 0.00
        a5 = 0.00

        thetjk = a0 + a1*xjk + a2*xjk**2 - a3*xjk*feh + a4*feh+a5*feh**2

        teffjk = 5040./thetjk


	
	write(6,'(14h Teff (V-K) = ,f10.2)')teffvk
	write(6,'(14h Teff (J-K) = ,f10.2)')teffjk

	stop
	end
