	program teffvi
c
c a routine to compute Teff from (V-I)c and the relations
c of Alonso et al (1999, A&AS, 140, 261
c
	write(6,'(14h enter (V-I)0 )')
        read(5,*)vi

c convert from Cousin's to Johnson

        if (vi .lt. 0.0) then
           vij = vi/0.713
        elseif (vi.ge.0.0 .and. vi.le.1.556) then
           vij = vi/0.778
        elseif (vi.gt.1.556 .and. vi.le.2.375) then
           vij = (vi + 0.13)/0.835
        else
           write(6,'(19h V-I out of bounds )')
        endif
c
c Alonso used the Johnson system...
c
        theta = 0.5379 + 0.3981*vij + 4.432e-2*vij**2-2.693e-2*vij**3
        teff = 5040./theta
	
	write(6,'(14h Teff (V-I) = ,f10.2)')teff
	stop
	end
